Subject: bug#25246: 25.1.90; Buffer not responsible with overlay at buffer end.

From: "Stefan-W. Hahn" <[email-masked]>
Date: Fri, 23 Dec 2016 08:33:15 +0100

Mail von [email-masked], Thu, 22 Dec 2016 at 19:01:56 -0500:

Hello,

> > It should be enough to provide some text to serve as buffer contents,
> > and a Lisp function to put the overlay on that text, such that Emacs
> > stops responding.
> 
> I think the OP already provided those.  Here's some elisp code to
> reproduce the problem based on the description (some adjustment may be
> needed depending on display width):

thanks for the programatically recipe. I will do it better next time.
And yes this shows the bad behaviour.

Also I can confirm that with version from master branch, namely

@ origin/master origin/HEAD a978d300a3faf58ee6e94ba57f764ca99a9ec308
Author:     Mark Oteiza <[email-masked]>
AuthorDate: Thu Dec 22 19:09:01 2016 -0500

the problem has gone on both systems, Linux and Windows.

(Little odd ting is the blinking of the overlay, but it's ok.)

With kind regards,
Stefan

-- 
Stefan-W. Hahn                          It is easy to make things.
                                        It is hard to make things simple.